Subject: Re: linux-next: manual merge of the rr tree

From: Max Krasnyansky <[email-masked]>
Date: Wed, 16 Jul 2008 22:46:05 -0700

Stephen Rothwell wrote:
> Hi Rusty,
> 
> Today's linux-next merge of the rr tree got conflicts in
> drivers/net/tun.c and include/linux/if_tun.h between commits
> 07240fd0902c872f044f523893364a1a24c9f278 ("tun: Interface to query
> tun/tap features"), 5228ddc98fa49b3cedab4024e269d62410a0d806 ("tun:
> TUNSETFEATURES to set gso features") and
> f271b2cc78f09c93ccd00a2056d3237134bf994c ("tun: Fix/rewrite packet
> filtering logic") from the net tree and commit
> 10c9db38e381599da1491d7d5e71f13573d39144 ("misc:tun-gso-csum-features")
> from the rr tree.
> 
> These are essentially the same changes in both trees (but with some
> additions in the net tree.  I fixed it up as best I could.  It is
> probably worth a look once the tree is published.

I'm not sure what rr tree is. I'd suggest dropping tun patches from it and
just going with Dave's tree since everything should be already there.
ie I did my patches latest patches on top of Rusty's patches. And Dave already
merged all of them.

Max